﻿.slider {
	width: 100%;
	height: 100px;
	margin: auto;
	overflow: hidden;
	position: relative;
	background: white;
}

.slide-track {
	display: flex;
	width: max-content; /* İçerik genişliği kadar uzasın */
	animation: scroll 20s linear infinite;
}

.slideRef {
	height: 100px;
	width: 200px; /* Resim genişliği */
	display: flex;
	align-items: center;
	padding: 15px;
}

	.slideRef img {
		width: 100%;
		transition: 0.5s;
		object-fit: contain;
	}



@keyframes scroll {
	0% {
		transform: translateX(0);
	}
	/* Artık tam olarak 1 set logo genişliği kadar kayacak, böylece sıçrama olmayacak */
	100% {
		transform: translateX(var(--scroll-amount));
	}
}